#ifndef ARTISTITEM_H
#define ARTISTITEM_H

#include "qptrlist.h"
#include "qlistview.h"

#include "downloadgenerator.h"
#include "albumitem.h"

class ArtistItem : public QListViewItem, public DownloadGenerator
{
public:
  ArtistItem(QListView *parent, QString artist);
  void addChild(QString artist, AlbumItem *item);
  virtual void initDownloads(SearchView *fromhere);
private:
  QPtrList<AlbumItem> albums;
  QMap<QString,int> names;
  int namehits;
};

#endif // ARTISTITEM_H
