#ifndef QUITTER_H
#define QUITTER_H

#include "qobject.h"
#include "qapplication.h"
#include "config.h"
#include "controller.h"

class Quitter : public QObject
{
Q_OBJECT

public:
  Quitter(QApplication *app)
  {
    connect(app,SIGNAL(aboutToQuit()),this,SLOT(onQuit()));
  }
public slots:
  void onQuit() {
    writeConfig();
    controllerShutdown();
  }
};

#endif // QUITTER_H
