#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "qstring.h"
#include "transferagent.h"
#include "hubstatusview.h"

bool controllerAcceptAudioTransfer(QString file, QString artist, QString album, QString title,
				   int trackno, int length);

bool controllerCreateAudioTransfer(QString artist, QString album, QString title,
				   int trackno, int length);

void controllerEndAudioTransfer(QString artist, QString album, QString title,
				int trackno, int length);

void controllerSetup(TransferAgent *view, HubStatusView *hview);
void controllerShutdown();

class DcBackend;
DcBackend *controllerBackend();

#endif // CONTROLLER_H

