#ifndef HACKEDURLOPERATOR_H
#define HACKEDURLOPERATOR_H

#include "qurloperator.h"

class HackedUrlOperator : public QUrlOperator
{
Q_OBJECT

public:
  HackedUrlOperator(QString url = 0);
 
signals:
  void transferDone(QString *string);

private slots:
  void slotData(const QByteArray &data, QNetworkOperation *op);
  void slotFinished(QNetworkOperation *op);

private:
  QString str;
};

#endif // HACKEDURLOPERATOR_H
