#ifndef PAINTWIDGET_HPP
#define PAINTWIDGET_HPP

#include <qstring.h>

class QPainter;
class QColorGroup;
class QFontMetrics;

class PaintWidget
{  
public:
    virtual ~PaintWidget() {};

    virtual void setText(const QString &text) { (void) text; }
    virtual QString text() { return QString(""); }

    virtual void paint(QPainter *p, const QColorGroup &cg, 
                       int height, int width, int align) = 0;
    virtual int width(const QFontMetrics &fm) const = 0;
};

#endif
